From 49a4c0c539dff6bf957705d3aa77e23d751a880c Mon Sep 17 00:00:00 2001
From: Feng Shu <tumashu@163.com>
Date: Tue, 9 Nov 2021 13:53:33 +0800
Subject: [PATCH] xwidget.el: call set-window-buffer after xwidget-webkit-mode.

* lisp/xwidget.el (xwidget-webkit-new-session)
(xwidget-webkit-import-widget): Call set-window-buffer.
---
 lisp/xwidget.el | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/lisp/xwidget.el b/lisp/xwidget.el
index dc1ed2dc08..9e532cad4c 100644
--- a/lisp/xwidget.el
+++ b/lisp/xwidget.el
@@ -726,6 +726,9 @@ xwidget-webkit-new-session
                 nil current-session)))
     (xwidget-put xw 'callback callback)
     (xwidget-webkit-mode)
+    ;; Make sure some buffer variables in `xwidget-webkit-mode-hook'
+    ;; function take effect, for example: `left-fringe-width'.
+    (set-window-buffer (selected-window) (current-buffer))
     (xwidget-webkit-goto-uri (xwidget-webkit-last-session) url)))
 
 (defun xwidget-webkit-import-widget (xwidget)
@@ -751,7 +754,10 @@ xwidget-webkit-import-widget
                            'display (list 'xwidget :xwidget xwidget)))
       (xwidget-put xwidget 'callback callback)
       (set-xwidget-buffer xwidget buffer)
-      (xwidget-webkit-mode))
+      (xwidget-webkit-mode)
+      ;; Make sure some buffer variables in `xwidget-webkit-mode-hook'
+      ;; function take effect, for example: `left-fringe-width'.
+      (set-window-buffer (selected-window) buffer))
     buffer))
 
 (defun xwidget-webkit-display-event (event)
-- 
2.30.2

